//
//  GameStatistics.m
//  Mac N-Back
//
//  Created by Grant Limberg on 10/21/08.
//  Copyright 2008 GL Software. All rights reserved.
//

#import "GameSummary.h"


@implementation GameSummary

@synthesize gameScore;
@synthesize gameMode;

- (id)initWithMode:(NSString*)mode andScore:(double)score {
	debug(@"%s:%d",__FUNCTION__,__LINE__);
	self = [super init];
	if(self) {
		gameMode = [mode copy];
		gameScore = score;
	}
	return self;
}

- (id)initWithCoder:(NSCoder *)coder {
	debug(@"%s:%d",__FUNCTION__,__LINE__);
	if(self = [super init]) {
		gameMode = [coder decodeObjectForKey:@"gameMode"];
		gameScore = [coder decodeDoubleForKey:@"gameScore"];
	}
	return self;
}

- (void)encodeWithCoder:(NSCoder *)coder {
	debug(@"%s:%d",__FUNCTION__,__LINE__);
	[coder encodeObject:gameMode forKey:@"gameMode"];
	[coder encodeDouble:gameScore forKey:@"gameScore"];
}

@end
