//
//  PreferencesController.h
//  Mac N-Back
//
//  Created by Grant Limberg on 10/26/08.
//  Copyright 2008 GL Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ManagingViewController.h"
#import "GeneralViewController.h"
#import "UpdateViewController.h"
#import "AudioViewController.h"

extern NSString * const MNBDefaultVoice;
extern NSString * const MNBDefaultSpeed;
extern NSString * const MNBDefaultMode;
extern NSString * const MNBScores;
extern NSString * const MNBDefaultNBack;

@interface PreferencesController : NSWindowController {
	IBOutlet NSBox *box;
	IBOutlet NSPopUpButton *popUp;
	NSMutableArray *viewControllers;
}

- (IBAction)changeViewController:(id)sender;
- (void)displayViewController:(ManagingViewController*)vc;
@end
